Bug 1031019

Summary: Review Request: glacier-cli - Command-line interface to Amazon Glacier
Product: [Fedora] Fedora Reporter: Miroslav Suchý <msuchy>
Component: Package ReviewAssignee: Christopher Meng <i>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: hadfieldster, i, notting, package-review, robie.basak
Target Milestone: ---Flags: i: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: glacier-cli-0-8.20131113gite8a2536.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-05 10:27:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Miroslav Suchý 2013-11-15 13:39:45 UTC
Spec URL: http://miroslav.suchy.cz/fedora/glacier-cli/glacier-cli.spec
SRPM URL: http://miroslav.suchy.cz/fedora/glacier-cli/glacier-cli-0-4.20131113gite8a2536.fc20.src.rpm

Description: 
This tool provides a sysadmin-friendly command line interface to Amazon
Glacier, turning Glacier into an easy-to-use storage backend. It automates
tasks which would otherwise require a number of separate steps (job submission,
polling for job completion and retrieving the results of jobs). It provides
integration with git-annex, making Glacier even more useful.

Fedora Account System Username: msuchy

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6183184

Comment 1 Christopher Meng 2013-11-17 08:26:00 UTC
Just another question here:

I'm packaging aws-cli now, are you doing that also?

Take this one.

Comment 2 Miroslav Suchý 2013-11-18 09:02:15 UTC
Nope. Even python-boto have command line interface to Glacier. But it is very simple. Glacier-cli is much better and user friendly.

Comment 3 Christopher Meng 2013-11-18 12:38:27 UTC
1. Please escape:

glacier-cli.src:12: W: macro-in-comment %{githash}
glacier-cli.src:12: W: macro-in-comment %{name}
glacier-cli.src:12: W: macro-in-comment %{githash}



2. env stuffs:

Requires
--------
glacier-cli (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    python-boto
    python-sqlalchemy

Please patch #!/usr/bin/env python in glacier.py to %{python2}

Others are fine.

Comment 4 Miroslav Suchý 2013-11-19 07:19:10 UTC
> 1. Please escape:

Hmm, I thought that having it *not* escaped in comment is correct in this case as it will evaluate to exact correct string, which needs to be executed to get SOURCE0 for that specific version.
But as you like. Changed.

> 2. env stuffs:

Changed.

Spec URL: http://miroslav.suchy.cz/fedora/glacier-cli/glacier-cli.spec
SRPM URL: http://miroslav.suchy.cz/fedora/glacier-cli/glacier-cli-0-5.20131113gite8a2536.fc20.src.rpm

Comment 5 Christopher Meng 2013-11-19 07:37:28 UTC
PACKAGE APPROVED.

Comment 6 Miroslav Suchý 2013-11-19 08:47:07 UTC
Thanks.

Comment 7 Miroslav Suchý 2013-11-19 08:49:23 UTC
New Package SCM Request
=======================
Package Name: glacier-cli
Short Description: Command-line interface to Amazon Glacier
Owners: msuchy
Branches: f19 f20 el6
InitialCC:

Comment 8 Gwyn Ciesla 2013-11-19 13:05:48 UTC
Git done (by process-git-requests).

Comment 9 Michael Schwendt 2013-11-19 14:04:32 UTC
> 1. Please escape:

The macros here didn't cause any problems, so escaping them does not improve anything. See output of "rpmlint -i ..." which prints Help text about reported warnings and errors.

It is okay to keep them unescaped.

Comment 10 Fedora Update System 2013-11-19 15:06:13 UTC
glacier-cli-0-7.20131113gite8a2536.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glacier-cli-0-7.20131113gite8a2536.el6

Comment 11 Fedora Update System 2013-11-19 15:06:36 UTC
glacier-cli-0-7.20131113gite8a2536.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glacier-cli-0-7.20131113gite8a2536.fc20

Comment 12 Fedora Update System 2013-11-19 15:08:15 UTC
glacier-cli-0-7.20131113gite8a2536.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glacier-cli-0-7.20131113gite8a2536.fc19

Comment 13 Fedora Update System 2013-11-19 21:45:02 UTC
glacier-cli-0-7.20131113gite8a2536.fc20 has been pushed to the Fedora 20 testing repository.

Comment 14 Steven Hadfield 2013-11-25 18:57:24 UTC
Just installed the package from updates-testing for fc19 and I think you're missing a dependency:

$ glacier-cli 
Traceback (most recent call last):
  File "/bin/glacier-cli", line 37, in <module>
    import iso8601
ImportError: No module named iso8601

Installing python-iso8601.noarch fixes the problem.

Comment 15 Steven Hadfield 2013-11-25 18:58:53 UTC
Sorry, I should have looked at the spec first. python-iso8601 needs to be a full requirement, not just a build requirement.

Comment 16 Miroslav Suchý 2013-11-26 07:41:00 UTC
Fixed. Thanks for reporting, but please next time do not recycle bug report and file new one.

Comment 17 Fedora Update System 2013-11-26 07:42:23 UTC
glacier-cli-0-8.20131113gite8a2536.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glacier-cli-0-8.20131113gite8a2536.el6

Comment 18 Fedora Update System 2013-12-05 10:27:41 UTC
glacier-cli-0-8.20131113gite8a2536.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2013-12-11 19:33:36 UTC
glacier-cli-0-8.20131113gite8a2536.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 20 Fedora Update System 2013-12-14 03:39:43 UTC
glacier-cli-0-8.20131113gite8a2536.fc20 has been pushed to the Fedora 20 stable repository.